# $Revision: 1.15 $, $Date: 2011/11/05 17:19:10 $
Summary:	VAAPI (Video Acceleration API)
Summary(pl.UTF-8):	VAAPI (Video Acceleration API) - API akceleracji filmów
Name:		libva
Version:	1.0.15
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: http://cgit.freedesktop.org/libva/
Source0:	http://cgit.freedesktop.org/libva/snapshot/%{name}-%{version}.tar.bz2
# Source0-md5:	ad8a94ba87ff0563a533c3c142816794
URL:		http://www.freedesktop.org/wiki/Software/vaapi
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.4
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
Requires:	libdrm >= 2.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The main motivation for VAAPI (Video Acceleration API) is to enable
hardware accelerated video decode/encode at various entry-points (VLD,
IDCT, Motion Compensation etc.) for the prevailing coding standards
today (MPEG-2, MPEG-4 ASP/H.263, MPEG-4 AVC/H.264, and VC-1/VMW3).

%description -l pl.UTF-8
Głównym celem API akceleracji filmów VAAPI (Video Acceleration API)
jest umożliwienie sprzętowej akceleracji dekodowania/kodowania filmów
na różnych etapach (VLD, IDCT, kompensacja ruchu itp.) dla obecnie
przeważających standardów kodowania (MPEG-2, MPEG-4 ASP/H.263, MPEG-4
AVC/H.264, VC-1/VMW3).

%package devel
Summary:	Header files for libva libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek libva
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libva libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek libva.

%package static
Summary:	Static libva libraries
Summary(pl.UTF-8):	Statyczne biblioteki libva
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libva libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libva.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-static \
	--with-drivers-path=%{_libdir}/%{name}/dri

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/dri/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS
%attr(755,root,root) %{_bindir}/avcenc
%attr(755,root,root) %{_bindir}/h264encode
%attr(755,root,root) %{_bindir}/mpeg2vldemo
%attr(755,root,root) %{_bindir}/putsurface
%attr(755,root,root) %{_bindir}/vainfo
%attr(755,root,root) %{_libdir}/libva.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libva.so.1
%attr(755,root,root) %{_libdir}/libva-egl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libva-egl.so.1
%attr(755,root,root) %{_libdir}/libva-glx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libva-glx.so.1
%attr(755,root,root) %{_libdir}/libva-tpi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libva-tpi.so.1
%attr(755,root,root) %{_libdir}/libva-x11.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libva-x11.so.1
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/dri
%attr(755,root,root) %{_libdir}/%{name}/dri/dummy_drv_video.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva.so
%attr(755,root,root) %{_libdir}/libva-egl.so
%attr(755,root,root) %{_libdir}/libva-glx.so
%attr(755,root,root) %{_libdir}/libva-tpi.so
%attr(755,root,root) %{_libdir}/libva-x11.so
%{_libdir}/libva.la
%{_libdir}/libva-egl.la
%{_libdir}/libva-glx.la
%{_libdir}/libva-tpi.la
%{_libdir}/libva-x11.la
%{_includedir}/va
%{_pkgconfigdir}/libva.pc
%{_pkgconfigdir}/libva-egl.pc
%{_pkgconfigdir}/libva-glx.pc
%{_pkgconfigdir}/libva-tpi.pc
%{_pkgconfigdir}/libva-x11.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libva.a
%{_libdir}/libva-egl.a
%{_libdir}/libva-glx.a
%{_libdir}/libva-tpi.a
%{_libdir}/libva-x11.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libva.spec,v $
Revision 1.15  2011/11/05 17:19:10  qboosh
- updated to 1.0.15
- intel driver moved to separate package (libva-driver-intel.spec)

Revision 1.14  2011/08/02 04:19:57  qboosh
- updated to 1.0.14

Revision 1.13  2011/06/04 19:37:28  qboosh
- updated to 1.0.13

Revision 1.12  2011/04/04 14:58:07  qboosh
- updated to 1.0.12

Revision 1.11  2011/03/29 09:38:48  glen
- up to 1.0.11

Revision 1.10  2011/03/07 16:36:43  qboosh
- updated to 1.0.10
- added i965 patch (build fix)
- package new egl library

Revision 1.9  2011/01/25 16:17:04  qboosh
- updated to 1.0.8

Revision 1.8  2011/01/06 09:34:10  qboosh
- updated to 1.0.7

Revision 1.7  2010/10/31 20:46:34  qboosh
- updated to 1.0.6
- pl

Revision 1.6  2010/09/30 08:44:47  arekm
- up to 1.0.5

Revision 1.5  2010/08/26 20:58:40  charles
- updated to 1.0.4
- updated BRs; removed TODO

Revision 1.4  2010/06/19 17:20:06  sls
- added TODO

Revision 1.3  2010/06/19 17:17:53  sls
- BR: libdrm-devel >= 2.4.21

Revision 1.2  2010/06/18 06:12:51  arekm
- up to 1.0.3

Revision 1.1  2009/11/20 13:58:12  arekm
- initial
